CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2015-5299

The shadow_copy2_get_shadow_copy_data function in modules/vfs_shadow_copy2.c in Samba 3.x and 4.x before 4.1.22, 4.2.x before 4.2.7, and 4.3.x before 4.3.3 does not verify that the DIRECTORY_LIST access right has been granted, which allows remote attackers to access snapshots by visiting a shadow copy directory.
Publish Date : 2015-12-29 Last Update Date : 2022-08-29
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Obtain Information
CWE ID 200

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2016:0006: samba security update (Moderate) oval:com.redhat.rhsa:def:20160006 unix
RHSA-2016:0010: samba4 security update (Moderate) oval:com.redhat.rhsa:def:20160010 unix
RHSA-2016:0011: samba security update (Moderate) oval:com.redhat.rhsa:def:20160011 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2015-5299

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 12.04 * * * Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 14.04 * * * Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 15.04 * * * Version Details Vulnerabilities
4 OS Canonical Ubuntu Linux 15.10 * * * Version Details Vulnerabilities
5 OS Debian Debian Linux 7.0 * * * Version Details Vulnerabilities
6 OS Debian Debian Linux 8.0 * * * Version Details Vulnerabilities
7 Application Samba Samba * * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 4
Debian Debian Linux 2
Samba Samba 1

- References For CVE-2015-5299

https://git.samba.org/?p=samba.git;a=commit;h=675fd8d771f9d43e354dba53ddd9b5483ae0a1d7 CONFIRM
https://security.gentoo.org/glsa/201612-47
GENTOO GLSA-201612-47
http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00017.html
SUSE SUSE-SU-2016:0164
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00032.html
SUSE openSUSE-SU-2015:2354
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00033.html
SUSE openSUSE-SU-2015:2356
https://www.samba.org/samba/security/CVE-2015-5299.html CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00019.html
SUSE SUSE-SU-2015:2304
http://lists.fedoraproject.org/pipermail/package-announce/2015-December/174076.html
FEDORA FEDORA-2015-b36076d32e
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05115993 CONFIRM
http://www.ubuntu.com/usn/USN-2855-1
UBUNTU USN-2855-1
http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00002.html
SUSE SUSE-SU-2016:0032
http://www.debian.org/security/2016/dsa-3433
DEBIAN DSA-3433
http://www.securitytracker.com/id/1034493
SECTRACK 1034493
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00020.html
SUSE SUSE-SU-2015:2305
http://lists.fedoraproject.org/pipermail/package-announce/2015-December/174391.html
FEDORA FEDORA-2015-0e0879cc8a
http://lists.opensuse.org/opensuse-security-announce/2016-04/msg00047.html
SUSE openSUSE-SU-2016:1106
http://www.oracle.com/technetwork/topics/security/linuxbulletinjan2016-2867209.html CONFIRM
http://www.oracle.com/technetwork/topics/security/bulletinjan2016-2867206.html CONFIRM
http://www.securityfocus.com/bid/79729
BID 79729 Samba CVE-2015-5299 Remote Security Bypass Vulnerability Release Date:2016-12-29
http://lists.opensuse.org/opensuse-security-announce/2016-04/msg00048.html
SUSE openSUSE-SU-2016:1107
http://lists.opensuse.org/opensuse-security-announce/2016-04/msg00042.html
SUSE openSUSE-SU-2016:1064
http://www.ubuntu.com/usn/USN-2855-2
UBUNTU USN-2855-2
https://bugzilla.redhat.com/show_bug.cgi?id=1276126 CONFIRM

- Metasploit Modules Related To CVE-2015-5299

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.